// Slick Walls

textures/ujsm07-xaze/wall1_slick_bright
{
	qer_editorImage textures/ujsm07-xaze/wall1_slick_bright.tga

	surfaceparm slick
	
	{
		map textures/ujsm07-xaze/wall1_slick_bright.tga
		rgbgen identity
	}
	{
		map textures/ujsm07-xaze/sub/ice_gloss.tga
		blendFunc blend
		tcGen environment
	}
}

textures/ujsm07-xaze/wall1_slick_dark
{
	qer_editorImage textures/ujsm07-xaze/wall1_slick_dark.tga

	surfaceparm slick
	
	{
		map textures/ujsm07-xaze/wall1_slick_dark.tga
		rgbgen identity
	}
	{
		map textures/ujsm07-xaze/sub/ice_gloss.tga
		blendFunc blend
		tcGen environment
	}
}

// Slick floors & plats

textures/ujsm07-xaze/floor_grate1_slick
{
	qer_editorImage textures/ujsm07-xaze/floor_grate1_slick.tga

	surfaceparm slick
	
	{
		map textures/ujsm07-xaze/floor_grate1_slick.tga
		rgbgen identity
	}
	{
		map textures/ujsm07-xaze/sub/ice_gloss.tga
		blendFunc blend
		tcGen environment
	}
}

// Materials

textures/ujsm07-xaze/glass
{
	qer_editorImage textures/ujsm07-xaze/glass.tga
	qer_trans .99
	
	surfaceparm trans	
	
	{
		map textures/ujsm07-xaze/glass.tga
		rgbgen identity
		blendFunc blend
		depthFunc equal //Removes black outline. Also makes the tranclusent effects less buggy
		depthWrite
	}
	{
		map textures/ujsm07-xaze/sub/glass_gloss.tga
		blendFunc blend
		tcGen environment
	}
}

textures/ujsm07-xaze/glass_slick
{
	qer_editorImage textures/ujsm07-xaze/glass.tga
	qer_trans .99
	
	surfaceparm trans	
	surfaceparm slick
	
	{
		map textures/ujsm07-xaze/glass.tga
		rgbgen identity
		blendFunc blend
		depthFunc equal //Removes black outline. Also makes the tranclusent effects less buggy
		depthWrite
	}
	{
		map textures/ujsm07-xaze/sub/glass_gloss.tga
		blendFunc blend
		tcGen environment
	}
}

textures/ujsm07-xaze/ice
{
	qer_editorImage textures/ujsm07-xaze/ice.tga
	qer_trans .99

	
	surfaceparm trans	
	surfaceparm slick
	
	{
		map textures/ujsm07-xaze/ice.tga
		rgbgen identity
		blendFunc blend
		depthFunc equal //Removes black outline. Also makes the tranclusent effects less buggy
		depthWrite
	}
	{
		map textures/ujsm07-xaze/sub/ice_gloss.tga
		blendFunc blend
		tcGen environment
	}
}

textures/ujsm07-xaze/red_water_floor
{
	qer_editorimage textures/ujsm07-xaze/red_water_floor.tga
	surfaceparm nomarks
	{
		map textures/ujsm07-xaze/red_water_floor.tga
		rgbGen identity
	}
}

textures/ujsm07-xaze/redwater
{
	qer_editorimage textures/ujsm07-xaze/water.jpg
	qer_trans .5
	q3map_globaltexture
	surfaceparm trans
	surfaceparm nonsolid
	q3map_surfacelight 250
	q3map_lightsubdivide 64
	q3map_lightrgb 1 0.27274 0.305409
	surfaceparm water
	cull disable
	deformVertexes wave 64 sin .25 .25 0 .5
	{
		map textures/ujsm07-xaze/sub/water_gloss.jpg
		blendFunc GL_dst_color GL_one
		rgbgen identity
		tcmod scale .5 .5
		tcmod scroll .025 .01
	}
	{
		map textures/ujsm07-xaze/water.jpg
		blendFunc GL_dst_color GL_one
		tcmod scale -.5 -.5
		tcmod scroll .025 .025
	}
	{
		map $lightmap
		blendFunc GL_dst_color GL_zero
		rgbgen identity
	}
}

// Crystals

textures/ujsm07-xaze/green_crystal
{
	qer_editorImage textures/ujsm07-xaze/green_crystal.tga
	qer_trans .99
	
	q3map_surfacelight 24000
	
	surfaceparm trans
	
	surfaceparm nonsolid
	surfaceparm nodlight
	surfaceparm nomarks

	cull disable
	{
		map textures/ujsm07-xaze/green_crystal.tga
		rgbgen identity
		blendFunc GL_SRC_ALPHA GL_ONE
	}
	{
		map textures/ujsm07-xaze/sub/green_crystal_blend.tga
		blendFunc blend
		tcGen environment
	}
}

textures/ujsm07-xaze/yellow_crystal
{
	qer_editorImage textures/ujsm07-xaze/yellow_crystal.tga
	qer_trans .99
	
	q3map_surfacelight 24000
	
	surfaceparm trans
	
	surfaceparm nonsolid
	surfaceparm nodlight
	surfaceparm nomarks

	cull disable
	{
		map textures/ujsm07-xaze/yellow_crystal.tga
		rgbgen identity
		blendFunc GL_SRC_ALPHA GL_ONE
	}
	{
		map textures/ujsm07-xaze/sub/yellow_crystal_blend.tga
		blendFunc blend
		tcGen environment
	}
}

textures/ujsm07-xaze/blue_crystal
{
	qer_editorImage textures/ujsm07-xaze/blue_crystal.tga
	qer_trans .99
	
	q3map_surfacelight 24000
	
	surfaceparm trans
	
	surfaceparm nonsolid
	surfaceparm nodlight
	surfaceparm nomarks

	cull disable
	{
		map textures/ujsm07-xaze/blue_crystal.tga
		rgbgen identity
		blendFunc GL_SRC_ALPHA GL_ONE
	}
	{
		map textures/ujsm07-xaze/sub/blue_crystal_blend.tga
		blendFunc blend
		tcGen environment
	}
}

textures/ujsm07-xaze/red_crystal
{
	qer_editorImage textures/ujsm07-xaze/red_crystal.tga
	qer_trans .99
	
	q3map_surfacelight 24000
	
	surfaceparm trans
	
	surfaceparm nonsolid
	surfaceparm nodlight
	surfaceparm nomarks

	cull disable
	{
		map textures/ujsm07-xaze/red_crystal.tga
		rgbgen identity
		blendFunc GL_SRC_ALPHA GL_ONE
	}
	{
		map textures/ujsm07-xaze/sub/red_crystal_blend.tga
		blendFunc blend
		tcGen environment
	}
}

textures/ujsm07-xaze/purple_crystal
{
	qer_editorImage textures/ujsm07-xaze/purple_crystal.tga
	qer_trans .99
	
	q3map_surfacelight 24000
	
	surfaceparm trans
	
	surfaceparm nonsolid
	surfaceparm nodlight
	surfaceparm nomarks

	cull disable
	{
		map textures/ujsm07-xaze/purple_crystal.tga
		rgbgen identity
		blendFunc GL_SRC_ALPHA GL_ONE
	}
	{
		map textures/ujsm07-xaze/sub/purple_crystal_blend.tga
		blendFunc blend
		tcGen environment
	}
}

// Portals

textures/ujsm07-xaze/portal
{
	qer_editorimage textures/ujsm07-xaze/portal.tga
	surfaceparm nomarks
	{
		map textures/ujsm07-xaze/portal.tga
		rgbGen identity
		tcMod scroll 0 0.5
	}
}

textures/ujsm07-xaze/red_portal_bright
{
	qer_editorimage	textures/ujsm07-xaze/ironwood/swirl4_red.tga
	{
		clampMap textures/ujsm07-xaze/ironwood/swirl1_red.tga
		tcMod rotate 180
		tcMod stretch sin 0.8 0.1 0.0 0.5
	}
	{
		clampMap textures/ujsm07-xaze/ironwood/swirl4_red.tga
		blendfunc ADD
		tcMod rotate 45
		rgbGen wave sin 0.6 0.05 0.0 0.02
	}
	{
		map textures/ujsm07-xaze/ironwood/jumppad_bright.tga
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
	}
        {
		map $lightmap
        blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}
}

textures/ujsm07-xaze/red_portal_dark
{
	qer_editorimage	textures/ujsm07-xaze/ironwood/swirl4_red.tga
	{
		clampMap textures/ujsm07-xaze/ironwood/swirl1_red.tga
		tcMod rotate 180
		tcMod stretch sin 0.8 0.1 0.0 0.5
	}
	{
		clampMap textures/ujsm07-xaze/ironwood/swirl4_red.tga
		blendfunc ADD
		tcMod rotate 45
		rgbGen wave sin 0.6 0.05 0.0 0.02
	}
	{
		map textures/ujsm07-xaze/ironwood/jumppad_dark.tga
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
	}
        {
		map $lightmap
        blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}
}

textures/ujsm07-xaze/yellow_portal
{
	qer_editorimage	textures/ujsm07-xaze/ironwood/swirl4_yellow.tga
	{
		clampMap textures/ujsm07-xaze/ironwood/swirl1_yellow.tga
		tcMod rotate 180
		tcMod stretch sin 0.8 0.1 0.0 0.5
	}
	{
		clampMap textures/ujsm07-xaze/ironwood/swirl4_yellow.tga
		blendfunc ADD
		tcMod rotate 45
		rgbGen wave sin 0.6 0.05 0.0 0.02
	}
	{
		map textures/ujsm07-xaze/ironwood/jumppad.tga
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
	}
        {
		map $lightmap
        blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}
}

// Pictures

textures/ujsm07-xaze/ujsm07_logo
{
	qer_editorimage textures/ujsm07-xaze/ujsm07_logo.tga
	surfaceparm nomarks
	surfaceparm nodlight
	{
		map $lightmap 
		rgbGen identity
	}
	{
		map textures/ujsm07-xaze/ujsm07_logo.tga
		blendfunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/ujsm07-xaze/ujm_banner
{
	qer_editorimage textures/ujsm07-xaze/ujm_banner.jpg
	surfaceparm nodlight
	surfaceparm nomarks
	{
		map textures/ujsm07-xaze/ujm_banner.jpg
		rgbGen identity
	}
	{
		map $lightmap 
		blendfunc filter
		tcGen lightmap 
	}
}

textures/ujsm07-xaze/target
{
	qer_editorimage textures/ujsm07-xaze/target.tga
	{
		map textures/ujsm07-xaze/target.tga
		rgbGen identity
	}
}